summarylogtreecommitdiffstats
path: root/bask
diff options
context:
space:
mode:
authorMatthew Gamble2021-06-28 23:59:24 +1000
committerMatthew Gamble2021-06-28 23:59:24 +1000
commit31352b72f29b2be25f32ff30cab486449f5b7580 (patch)
tree113c71ede473c0be1db7199dddfaca85e7cfbf43 /bask
downloadaur-bask.tar.gz
Initial commit
Diffstat (limited to 'bask')
-rwxr-xr-xbask14
1 files changed, 14 insertions, 0 deletions
diff --git a/bask b/bask
new file mode 100755
index 000000000000..34b40bc9ccb7
--- /dev/null
+++ b/bask
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+rootdir="$(dirname "$(readlink -f "$0")")/../.."
+
+if [[ "${FUNCNAME[0]}" == source ]]; then
+ echo "Can't source the 'bask' executable. Instead, source '/usr/lib/bask/bask.sh' directly."
+ exit 1
+fi
+
+# Include core files
+source "${rootdir}/usr/lib/bask/bask.sh"
+
+# Include CLI specific files
+source "${rootdir}/usr/lib/bask/cli.sh"